This page last changed on Jun 28, 2015 by amir.

I'm trying to use EnOcean switches through an EnOcean Pi.
I have got it working using Fhem but am struggling in OR.

In the boot log I get the warning below;

WARNING: RXTX Version mismatch
Jar version = RXTX-2.2pre1
native lib Version = RXTX-2.2pre2
ERROR main: Error while configuring serial port : null
gnu.io.NoSuchPortException
.
.
.
.
.
ERROR main: Failed to connect to EnOcean module: Starting [COM port: /dev/ttyAMA0, Protocol: ESP3, Communication Layer: RXTX] failed : null

Any help appreciated.

I'm having the same problem.
I've been using the USB 300 and had everything working fine.
Tried to add the Enocean Pi and have been getting the same errors. I fixed the RXTX mismatch by copying the same file to both locations.
Have spent a lot of time trying to get it working but think I'm beat.

Has this been resolved?

Posted by rmcerlain at Jan 18, 2016 03:49
Document generated by Confluence on Jun 05, 2016 09:33